<template>
  <div class="box">
    <div class="box-title">视频通话</div>
    <div class="box-container">
      <iframe src="https://ssl.hopetrytech.com:9233/#/" style="width:550px;height:420px;padding:0px;margin:0px;" allow="microphone;camera;" allowfullscreen="true" frameborder="0"></iframe>
    </div>
  </div>
</template>

<script>
import axios from "axios";
  export default {
    name: 'monitorbox',
    data(){
        return{
            list:[]
        }
    },
    created(){
 
    },
    mounted(){
      let _this = this;
      window.addEventListener("message",function(event){
          if(event.data == "start"){
            _this.startVideoCall()
          }else if(event.data == "end"){
            _this.endVideoCall();
          }
      })
    },
    methods:{
      startVideoCall(){
        // this.$emit("startVideoCall")
      },
      endVideoCall(){
        this.$emit("endVideoCall")
      }
    }
  }
</script>

<style scoped>
  .box{
        width: 100%;
        height: 100%;
        overflow: hidden;
        background-image: url(/img/goods-pingyixian.png);
        background-size: 100% 100%;
        text-align:left;
        z-index: 99;
  }
  .box-title{
        width:100%;
        height:40px;
        line-height:50px;
        text-indent:20px;
        color: #00FFF0;
    }
    .box-container{
        width: calc( 100% - 0px);
        padding:0px 12px;
        height: calc( 100% - 60px);
    }
    .table-header{
        width: calc( 100% - 10px);
        height:25px;
        color:#fff;
        text-align: center;
    }
    .table-header div{
        float:left;
        width:25%;
        border-bottom:1px dashed #00FFF0;
        padding-bottom:8px;
    }
    .table-body{
        width:100%;
        height: calc( 100% - 40px);
        overflow-y: auto;
    }

     .table-body .item{
         width:100%;
         height:36px;
         background: #00ffee2f;
         font-size:12px;
         text-align: center;
         line-height:36px;
         cursor:pointer;
     }

     .table-body .item:nth-child(2n){
         background:#00ffee50;
     }
    
    .table-body .item div{
        float:left;
        width:25%;
        color:#eee;
        overflow: hidden;
        height:36px;
    }

     ::-webkit-scrollbar-track, ::-webkit-scrollbar-thumb {
  border: 0
}

::-webkit-scrollbar {
  height: 10px;
  width: 10px;
  background: transparent;
  border-radius: 5px
}

::-webkit-scrollbar-thumb {
  padding-top: 100px;
  -webkit-box-shadow: inset 1px 1px 0 rgba(0, 0, 0, .1), inset -1px -1px 0 rgba(0, 0, 0, .07);
  background-color: #797979;
  min-height: 28px;
  border-radius: 4px;
  background-clip: padding-box
}

::-webkit-scrollbar-track, ::-webkit-scrollbar-thumb {
  border: 0
}

::-webkit-scrollbar-thumb:hover {
  -webkit-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, .25);
  background-color: rgba(0, 0, 0, .4)
}

::-webkit-scrollbar-thumb:active {
  -webkit-box-shadow: inset 1px 1px 3px rgba(0, 0, 0, .35);
  background-color: rgba(0, 0, 0, .5)
}

</style>